Bug 181481 - [PATCH] irc/ircd-ratbox fix default options broken by optionsNG commit
Summary: [PATCH] irc/ircd-ratbox fix default options broken by optionsNG commit
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rodrigo Osorio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-23 07:40 UTC by John Marshall
Modified: 2014-09-20 16:08 UTC (History)
0 users

See Also:


Attachments
ircd-ratbox_324939.diff (770 bytes, patch)
2013-08-23 07:40 UTC, John Marshall
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Marshall 2013-08-23 07:40:00 UTC
r309810 included optionsNG conversion work which broke 3 of the 4
default options.  This meant that, instead of IPv6 and Ziplinks being
enabled by default, it wasn't possible to build the port with either.
Fortunately, an incorrect (old) configure argument was used to disable
building with shared modules, so they still built anyway.

Fix: Added appropriate --enable-foo arguments.

The --disable-shared-modules configure argument is old, invalid, and
does nothing.  The --enable-static option now provides that
functionality.

Also added MAKE_JOBS_UNSAFE to avoid intermittent build failures.
How-To-Repeat: 
 make config (and twiddle the IPV6, ZIPLINKS and SHARED_MODS options)
 make clean configure (and notice absolutely no difference in the report)
Comment 1 Edwin Groothuis freebsd_committer 2013-08-23 07:40:09 UTC
Maintainer of irc/ircd-ratbox,

Please note that PR ports/181481 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/181481

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-08-23 07:40:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 moggie 2014-02-04 20:59:56 UTC
This seems fine, thank you very much.
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2014-02-05 10:55:15 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Rodrigo Osorio freebsd_committer 2014-02-13 11:10:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rodrigo

I'll take it.
Comment 6 Rodrigo Osorio freebsd_committer 2014-02-18 09:53:22 UTC
State Changed
From-To: open->feedback

Ask for maintainer approval.
Comment 7 John Marshall 2014-09-11 20:48:19 UTC
Maintainer approved the original patch 7 months ago.

This bug seems to have been put into the wrong state. Is there any good reason why the port's Makefile options breakage should not be fixed?
Comment 8 Rodrigo Osorio freebsd_committer 2014-09-11 21:54:37 UTC
my fault. Thanks for the reminder.
Comment 9 commit-hook freebsd_committer 2014-09-20 16:08:25 UTC
A commit references this bug:

Author: rodrigo
Date: Sat Sep 20 16:08:02 UTC 2014
New revision: 368658
URL: http://svnweb.freebsd.org/changeset/ports/368658

Log:
  OptionsNG conversion brokes few options making
  them available by default. Also added MAKE_JOBS_UNSAFE
  to avoid intermittent build failures.

  PR:		ports/181481
  Submitted by:	John Marshall <John.Marshall@riverwillow.com.au>
  Approved by:	bapt (mentor)

Changes:
  head/irc/ircd-ratbox/Makefile
Comment 10 Rodrigo Osorio freebsd_committer 2014-09-20 16:08:52 UTC
commited thanks